# LiquityRatioIncreaseCheck

### Description

Action to check if ratio of the Liquity position after strategy execution is greater than the target ratio.

> **Notes**
>
> 5% offset acceptable

### Action ID

`0x3b29b437`

### SDK Action

```ts
const liquityRatioIncreaseCheckAction = new dfs.actions.checkers.LiquityRatioIncreaseCheckAction(
    targetRatioIncrease
);
```

### Action Type

`CHECK_ACTION`

### Input Parameters

```solidity
    /// @param targetRatioIncrease Target ratio increase.
    struct Params {
        uint256 targetRatioIncrease;
    }
```

### Return Value

```solidity
return bytes32(currRatio);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityRatioIncreaseCheck", logData);
bytes memory logData = abi.encode(currRatio);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/checkers/liquityratioincreasecheck.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
